Subject: bug#16784: 24.3; Problems opening NNTP connection: failing starttls because of a non-verified certificate

From: Steinar Bang <[email-masked]>
Date: Fri, 21 Mar 2014 11:33:59 +0100

>>>>> Lars Magne Ingebrigtsen <[email-masked]>:

> Ted Zlatanov <[email-masked]> writes:
SB> I would like one of the following solutions:
SB> 1. The possibility to switch off the attempted upgrade to STARTTLS for
SB> NNTP connections

>> I think Lars has to give an opinion here.

> I think we should always do encryption, even though we can't do validation.

The reason I asked for this, is that if an ecryption I didn't ask for
causes the connection to fail, I would like to be able to turn it off
and have my unsafe connection.

I would rather have an unsafe conncetion than no connection (which is
what I seem to have right now on Windows).